Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7984 - Don't change global key bindings, and if you do, document it!
Summary: Don't change global key bindings, and if you do, document it!
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: emacs
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-24 17:30 UTC by Jonathan Kamens
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-16 23:47:08 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 1999-12-24 17:30:54 UTC
The emacs 20.4-5 packages add global key bindings for \C-h and [delete].
That's REALLY RUDE for those of us who have been using Emacs for years,
have our Emacs configured exactly the way we want it, and don't want
anything to change.

There's already a mechanism in Emacs for making C-h do the right thing on
systems where the backspace key generates C-h.  See, for example, the
"Keyboard Translations" node in the Emacs info page.  Alternatively, people
can remap their backspace key to delete using xmodmap; that is what I do,
and that remapping broke because of the global bindings you added.

And shame on you for making this patently user-visible change without
documenting it in the changelog.

Comment 1 Cristian Gafton 2000-02-16 23:47:59 UTC
I am not sure what change are you talking about - we did not patch any of the
keybindings for emacs in the package we shipped


Note You need to log in before you can comment on or make changes to this bug.